boost::geometry::resolve_variant::assign< variant< BOOST_VARIANT_ENUM_PARAMS(T1)>, variant< BOOST_VARIANT_ENUM_PARAMS(T2)> >::visitor Struct Reference

List of all members.

## Public Member Functions

template<typename Geometry1 , typename Geometry2 >
result_type | operator() (Geometry1 &geometry1, Geometry2 const &geometry2) const

### template<BOOST_VARIANT_ENUM_PARAMS(typename T1), BOOST_VARIANT_ENUM_PARAMS(typename T2)>
struct boost::geometry::resolve_variant::assign< variant< BOOST_VARIANT_ENUM_PARAMS(T1)>, variant< BOOST_VARIANT_ENUM_PARAMS(T2)> >::visitor

## Member Function Documentation

template<BOOST_VARIANT_ENUM_PARAMS(typename T1) , BOOST_VARIANT_ENUM_PARAMS(typename T2) >
template<typename Geometry1 , typename Geometry2 >

result_type boost::geometry::resolve_variant::assign< variant< BOOST_VARIANT_ENUM_PARAMS(T1)>, variant< BOOST_VARIANT_ENUM_PARAMS(T2)> >::visitor::operator() | ( | Geometry1 & | geometry1,
|  | Geometry2 const & | geometry2
| ) |  | const

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK